Bug 186677 - [UPDATE] math/py-numpy: update to 1.8.0,1
Summary: [UPDATE] math/py-numpy: update to 1.8.0,1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-12 05:20 UTC by Johannes Meixner
Modified: 2014-02-13 05:30 UTC (History)
1 user (show)

See Also:


Attachments
py-numpy-1.8.0.patch (31.17 KB, patch)
2014-02-12 05:20 UTC, Johannes Meixner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Meixner 2014-02-12 05:20:00 UTC
- Update to 1.8.0,1
- Stagify

Port maintainer (python@FreeBSD.org) is cc'd.

portlint: looks fine
port test: ok
testport: ok
redports: https://redports.org/buildarchive/20140212051200-60507/

Generated with FreeBSD Port Tools 1.00.2014.02.11 (mode: update, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-02-12 05:20:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Ruslan Makhmatkhanov freebsd_committer 2014-02-13 05:18:02 UTC
Responsible Changed
From-To: freebsd-python->rm

I will take it.
Comment 3 dfilter service freebsd_committer 2014-02-13 05:21:50 UTC
Author: rm
Date: Thu Feb 13 05:21:31 2014
New Revision: 344040
URL: http://svnweb.freebsd.org/changeset/ports/344040
QAT: https://qat.redports.org/buildarchive/r344040/

Log:
  - update to 1.8.0
  - clarify LICENSE (BSD3C)
  - suppor staging
  
  while here:
  - utilize PYTHON_PY3K_PLIST_HACK
  - install docs uncoditionally into stage area
  - convert LIB_DEPENDS to the new notation
  - sort packing list
  
  PR:		186677
  Submitted by:	Johannes Jost Meixner <xmj@chaot.net>

Modified:
  head/math/py-numpy/Makefile
  head/math/py-numpy/distinfo
  head/math/py-numpy/files/patch-numpy-distutils-fcompiler-__init__.py
  head/math/py-numpy/files/patch-numpy-distutils-fcompiler-gnu.py
  head/math/py-numpy/files/patch-numpy-distutils-system_info.py
  head/math/py-numpy/files/patch-numpy-f2py-f2py2e.py
  head/math/py-numpy/pkg-plist

Modified: head/math/py-numpy/Makefile
==============================================================================
--- head/math/py-numpy/Makefile	Thu Feb 13 03:56:42 2014	(r344039)
+++ head/math/py-numpy/Makefile	Thu Feb 13 05:21:31 2014	(r344040)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	numpy
-PORTVERSION=	1.7.0
-PORTREVISION=	2
+PORTVERSION=	1.8.0
 PORTEPOCH=	1
 CATEGORIES=	math python
 MASTER_SITES=	http://docs.scipy.org/doc/${DISTNAME:C/\..$/.0/}/:doc \
@@ -17,24 +16,26 @@ EXTRACT_ONLY=	numpy-${PORTVERSION:S/r/rc
 MAINTAINER=	python@FreeBSD.org
 COMMENT=	The New Numeric Extension to Python
 
-LICENSE=	BSD
+LICENSE=	BSD3CLAUSE
 
 RUN_DEPENDS=	nosetests:${PORTSDIR}/devel/py-nose
 
-OPTIONS_DEFINE=	ATLAS SUITESPARSE
+OPTIONS_DEFINE=		ATLAS SUITESPARSE
 OPTIONS_DEFAULT=	SUITESPARSE
-ATLAS_DESC=	Use optimized blas library
+ATLAS_DESC=		Use optimized blas library
 SUITESPARSE_DESC=	Use AMD and UMFPACK in SuiteSparse
 
-USE_FORTRAN=	yes
-USE_PYTHON=	yes
-USE_PYDISTUTILS=yes
-MAN1=		f2py.1
+USE_FORTRAN=			yes
+USE_PYTHON=			yes
+USE_PYDISTUTILS=		yes
+PYDISTUTILS_CONFIGUREARGS+=	--fcompiler=gnu95
+PYDISTUTILS_BUILDARGS+=		--fcompiler=gnu95
+PYTHON_PY3K_PLIST_HACK=		yes
 
+PORTDOCS=	*
 LATEST_LINK=	py-${PORTNAME}
-WRKSRC=	${WRKDIR}/${DISTNAME:S/r/rc/}
+WRKSRC=		${WRKDIR}/${DISTNAME:S/r/rc/}
 
-NO_STAGE=	yes
 .include <bsd.port.pre.mk>
 
 .if (${OSVERSION} <= 703100 || \
@@ -55,21 +56,14 @@ DISTFILES+=	${FP_ARCH}/fenv.c?p=203441:f
 .endif
 
 .if ${PORT_OPTIONS:MATLAS}
-LIB_DEPENDS+=	atlas.2:${PORTSDIR}/math/atlas
+LIB_DEPENDS+=	libatlas.so:${PORTSDIR}/math/atlas
 .else
-LIB_DEPENDS+=	lapack.4:${PORTSDIR}/math/lapack \
-		blas.2:${PORTSDIR}/math/blas
+LIB_DEPENDS+=	liblapack.so:${PORTSDIR}/math/lapack \
+		libblas.so:${PORTSDIR}/math/blas
 .endif
 
 .if ${PORT_OPTIONS:MSUITESPARSE}
-LIB_DEPENDS+=	umfpack.1:${PORTSDIR}/math/suitesparse
-.endif
-
-PYDISTUTILS_CONFIGUREARGS+=	--fcompiler=gnu95
-PYDISTUTILS_BUILDARGS+=	--fcompiler=gnu95
-
-.if ${PYTHON_REL} >= 320
-.include "${PORTSDIR}/devel/py-virtualenv/files/py3k-fix-pkg-plist.inc"
+LIB_DEPENDS+=	libumfpack.so:${PORTSDIR}/math/suitesparse
 .endif
 
 post-extract:
@@ -113,12 +107,11 @@ pre-install:
 .endif
 
 post-install:
-	${INSTALL_MAN} ${WRKSRC}/numpy/f2py/f2py.1 ${MAN1PREFIX}/man/man1
-.if !defined(NOPORTDOCS)
-	@${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${WRKDIR}/numpy-ref-${PORTVERSION}.pdf ${DOCSDIR}
-	${INSTALL_DATA} ${WRKDIR}/numpy-user-${PORTVERSION}.pdf ${DOCSDIR}
-.endif
+	${INSTALL_MAN} ${WRKSRC}/numpy/f2py/f2py.1 ${STAGEDIR}${MANPREFIX}/man/man1
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${WRKDIR}/numpy-ref-${PORTVERSION}.pdf ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${WRKDIR}/numpy-user-${PORTVERSION}.pdf ${STAGEDIR}${DOCSDIR}
+
 .if defined(WITH_FIXED_FENV)
 	@if [ "`${PKG_VERSION} -t \"\`\\\`${CC} -print-prog-name=as\\\` --version | ${AWK} 'NR==1 {sub(/\(GNU Binutils\)/,""); print $$3}'\`\" 2.18.49`" = ">" ] ; then \
 		${REINPLACE_CMD} -e "s|%%FENV%%||g" ${TMPPLIST}; \

Modified: head/math/py-numpy/distinfo
==============================================================================
--- head/math/py-numpy/distinfo	Thu Feb 13 03:56:42 2014	(r344039)
+++ head/math/py-numpy/distinfo	Thu Feb 13 05:21:31 2014	(r344040)
@@ -1,9 +1,9 @@
-SHA256 (numpy-1.7.0.tar.gz) = f4fa70b7edbab65ee6432eb63743f5489f1919c614632b20b2fb45aa7e682ac6
-SIZE (numpy-1.7.0.tar.gz) = 2832457
-SIZE (numpy-ref-1.7.0.pdf) = 5161456
-SHA256 (numpy-ref-1.7.0.pdf) = 0581709ef96441953404bc1369d70117b83359aff94f44779b960bed30a156d7
-SIZE (numpy-user-1.7.0.pdf) = 404104
-SHA256 (numpy-user-1.7.0.pdf) = 0c8dc1d53cc057a66139039dbaaf65499687cf64e72af5852eb96d9c3cd3ab18
+SHA256 (numpy-1.8.0.tar.gz) = 2764d0819acc77e9ff81b060fe7f69530b0d85c26ac9d162639b787cb227d253
+SIZE (numpy-1.8.0.tar.gz) = 3779617
+SHA256 (numpy-ref-1.8.0.pdf) = 49ecb1d768eb48598439cc63058f830ca3522fe1cfeba1a321086e9820ae8911
+SIZE (numpy-ref-1.8.0.pdf) = 5324229
+SHA256 (numpy-user-1.8.0.pdf) = a8c30360f9e46c63cfdf48fa594971d94d68ce59ece08c13d4acde8b14032cfe
+SIZE (numpy-user-1.8.0.pdf) = 408447
 SHA256 (i387/fenv.c?p=203441) = c7c558ddb6ab6604c83062fe0655d3ce8cf4d60edb4c9c82777962c49d23ca54
 SIZE (i387/fenv.c?p=203441) = 4791
 SHA256 (i387/fenv.h?p=203441) = 40c72f3cdd6990076394056e06461e1daeb6087b6a32f1962d3c33b0a00c0e0d

Modified: head/math/py-numpy/files/patch-numpy-distutils-fcompiler-__init__.py
==============================================================================
--- head/math/py-numpy/files/patch-numpy-distutils-fcompiler-__init__.py	Thu Feb 13 03:56:42 2014	(r344039)
+++ head/math/py-numpy/files/patch-numpy-distutils-fcompiler-__init__.py	Thu Feb 13 05:21:31 2014	(r344040)
@@ -1,6 +1,6 @@
 --- numpy/distutils/fcompiler/__init__.py.orig	2008-04-06 23:03:15.000000000 +0900
 +++ numpy/distutils/fcompiler/__init__.py	2008-04-06 23:08:56.000000000 +0900
-@@ -173,7 +173,7 @@
+@@ -179,7 +179,7 @@
      # gnu95 compiler type when there are F90 sources.
      suggested_f90_compiler = None
  

Modified: head/math/py-numpy/files/patch-numpy-distutils-fcompiler-gnu.py
==============================================================================
--- head/math/py-numpy/files/patch-numpy-distutils-fcompiler-gnu.py	Thu Feb 13 03:56:42 2014	(r344039)
+++ head/math/py-numpy/files/patch-numpy-distutils-fcompiler-gnu.py	Thu Feb 13 05:21:31 2014	(r344040)
@@ -1,6 +1,6 @@
 --- numpy/distutils/fcompiler/gnu.py.orig	2007-11-07 16:05:14.000000000 -0600
 +++ numpy/distutils/fcompiler/gnu.py	2008-04-07 13:54:56.000000000 -0500
-@@ -48,7 +48,7 @@
+@@ -66,7 +66,7 @@
      # Redhat: GNU Fortran (GCC 3.2.2 20030222 (Red Hat Linux 3.2.2-5)) 3.2.2 20030222 (Red Hat Linux 3.2.2-5)
      # GNU Fortran (GCC) 3.4.2 (mingw-special)
  
@@ -9,7 +9,7 @@
      executables = {
          'version_cmd'  : [None, "--version"],
          'compiler_f77' : [None, "-g", "-Wall", "-fno-second-underscore"],
-@@ -72,7 +72,7 @@
+@@ -90,7 +90,7 @@
          for key in ['version_cmd', 'compiler_f77', 'linker_so', 'linker_exe']:
              executables[key].append('-mno-cygwin')
  
@@ -18,7 +18,7 @@
  
      suggested_f90_compiler = 'gnu95'
  
-@@ -295,7 +295,7 @@
+@@ -249,7 +249,7 @@
      #       GNU Fortran 95 (GCC) 4.2.0 20060218 (experimental)
      #       GNU Fortran (GCC) 4.3.0 20070316 (experimental)
  

Modified: head/math/py-numpy/files/patch-numpy-distutils-system_info.py
==============================================================================
--- head/math/py-numpy/files/patch-numpy-distutils-system_info.py	Thu Feb 13 03:56:42 2014	(r344039)
+++ head/math/py-numpy/files/patch-numpy-distutils-system_info.py	Thu Feb 13 05:21:31 2014	(r344040)
@@ -1,6 +1,6 @@
 --- numpy/distutils/system_info.py.orig	2013-02-09 22:04:56.000000000 +0100
 +++ numpy/distutils/system_info.py	2013-03-22 21:01:34.000000000 +0100
-@@ -983,8 +983,8 @@
+@@ -995,8 +995,8 @@
      dir_env_var = 'ATLAS'
      _lib_names = ['f77blas', 'cblas']
      if sys.platform[:7] == 'freebsd':

Modified: head/math/py-numpy/files/patch-numpy-f2py-f2py2e.py
==============================================================================
--- head/math/py-numpy/files/patch-numpy-f2py-f2py2e.py	Thu Feb 13 03:56:42 2014	(r344039)
+++ head/math/py-numpy/files/patch-numpy-f2py-f2py2e.py	Thu Feb 13 05:21:31 2014	(r344040)
@@ -1,14 +1,14 @@
 --- numpy/f2py/f2py2e.py.orig	2012-01-25 06:59:14.651304791 -0600
 +++ numpy/f2py/f2py2e.py	2012-01-25 07:00:58.475075133 -0600
-@@ -514,6 +514,7 @@
-     include_dirs, sources = filter_files('-I','',sources,remove_prefix=1)
-     library_dirs, sources = filter_files('-L','',sources,remove_prefix=1)
-     libraries, sources = filter_files('-l','',sources,remove_prefix=1)
+@@ -520,6 +520,7 @@
+     include_dirs, sources = filter_files('-I', '', sources, remove_prefix=1)
+     library_dirs, sources = filter_files('-L', '', sources, remove_prefix=1)
+     libraries, sources = filter_files('-l', '', sources, remove_prefix=1)
 +    extra_link_args, sources = filter_files('-Wl,','',sources,remove_prefix=0)
-     undef_macros, sources = filter_files('-U','',sources,remove_prefix=1)
-     define_macros, sources = filter_files('-D','',sources,remove_prefix=1)
+     undef_macros, sources = filter_files('-U', '', sources, remove_prefix=1)
+     define_macros, sources = filter_files('-D', '', sources, remove_prefix=1)
      using_numarray = 0
-@@ -549,6 +550,7 @@
+@@ -555,6 +556,7 @@
                  'undef_macros': undef_macros,
                  'extra_objects': extra_objects,
                  'f2py_options': f2py_flags,

Modified: head/math/py-numpy/pkg-plist
==============================================================================
--- head/math/py-numpy/pkg-plist	Thu Feb 13 03:56:42 2014	(r344039)
+++ head/math/py-numpy/pkg-plist	Thu Feb 13 05:21:31 2014	(r344040)
@@ -1,94 +1,57 @@
 bin/f2py
 %%PYTHON_SITELIBDIR%%/numpy/__config__.py
-%%PYTHON_SITELIBDIR%%/numpy/__init__.py
 %%PYTHON_SITELIBDIR%%/numpy/__config__.pyc
 %%PYTHON_SITELIBDIR%%/numpy/__config__.pyo
+%%PYTHON_SITELIBDIR%%/numpy/__init__.py
 %%PYTHON_SITELIBDIR%%/numpy/__init__.pyc
 %%PYTHON_SITELIBDIR%%/numpy/__init__.pyo
+%%PYTHON_SITELIBDIR%%/numpy/_import_tools.py
 %%PYTHON_SITELIBDIR%%/numpy/_import_tools.pyc
 %%PYTHON_SITELIBDIR%%/numpy/_import_tools.pyo
+%%PYTHON_SITELIBDIR%%/numpy/add_newdocs.py
 %%PYTHON_SITELIBDIR%%/numpy/add_newdocs.pyc
 %%PYTHON_SITELIBDIR%%/numpy/add_newdocs.pyo
-%%PYTHON_SITELIBDIR%%/numpy/ctypeslib.pyc
-%%PYTHON_SITELIBDIR%%/numpy/ctypeslib.pyo
-%%PYTHON_SITELIBDIR%%/numpy/dual.pyc
-%%PYTHON_SITELIBDIR%%/numpy/dual.pyo
-%%PYTHON_SITELIBDIR%%/numpy/matlib.pyc
-%%PYTHON_SITELIBDIR%%/numpy/matlib.pyo
-%%PYTHON_SITELIBDIR%%/numpy/setup.pyc
-%%PYTHON_SITELIBDIR%%/numpy/setup.pyo
-%%PYTHON_SITELIBDIR%%/numpy/setupscons.pyc
-%%PYTHON_SITELIBDIR%%/numpy/setupscons.pyo
-%%PYTHON_SITELIBDIR%%/numpy/version.pyc
-%%PYTHON_SITELIBDIR%%/numpy/version.pyo
-%%PYTHON_SITELIBDIR%%/numpy/_import_tools.py
-%%PYTHON_SITELIBDIR%%/numpy/add_newdocs.py
 %%PYTHON_SITELIBDIR%%/numpy/compat/__init__.py
 %%PYTHON_SITELIBDIR%%/numpy/compat/__init__.pyc
 %%PYTHON_SITELIBDIR%%/numpy/compat/__init__.pyo
+%%PYTHON_SITELIBDIR%%/numpy/compat/_inspect.py
 %%PYTHON_SITELIBDIR%%/numpy/compat/_inspect.pyc
 %%PYTHON_SITELIBDIR%%/numpy/compat/_inspect.pyo
+%%PYTHON_SITELIBDIR%%/numpy/compat/py3k.py
 %%PYTHON_SITELIBDIR%%/numpy/compat/py3k.pyc
 %%PYTHON_SITELIBDIR%%/numpy/compat/py3k.pyo
+%%PYTHON_SITELIBDIR%%/numpy/compat/setup.py
 %%PYTHON_SITELIBDIR%%/numpy/compat/setup.pyc
 %%PYTHON_SITELIBDIR%%/numpy/compat/setup.pyo
-%%PYTHON_SITELIBDIR%%/numpy/compat/setupscons.pyc
-%%PYTHON_SITELIBDIR%%/numpy/compat/setupscons.pyo
-%%PYTHON_SITELIBDIR%%/numpy/compat/_inspect.py
-%%PYTHON_SITELIBDIR%%/numpy/compat/py3k.py
-%%PYTHON_SITELIBDIR%%/numpy/compat/setup.py
-%%PYTHON_SITELIBDIR%%/numpy/compat/setupscons.py
 %%PYTHON_SITELIBDIR%%/numpy/core/__init__.py
 %%PYTHON_SITELIBDIR%%/numpy/core/__init__.pyc
 %%PYTHON_SITELIBDIR%%/numpy/core/__init__.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/_dotblas.so
+%%PYTHON_SITELIBDIR%%/numpy/core/_dummy.so
+%%PYTHON_SITELIBDIR%%/numpy/core/_internal.py
 %%PYTHON_SITELIBDIR%%/numpy/core/_internal.pyc
 %%PYTHON_SITELIBDIR%%/numpy/core/_internal.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/_methods.py
 %%PYTHON_SITELIBDIR%%/numpy/core/_methods.pyc
 %%PYTHON_SITELIBDIR%%/numpy/core/_methods.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/arrayprint.py
 %%PYTHON_SITELIBDIR%%/numpy/core/arrayprint.pyc
 %%PYTHON_SITELIBDIR%%/numpy/core/arrayprint.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/defchararray.py
 %%PYTHON_SITELIBDIR%%/numpy/core/defchararray.pyc
 %%PYTHON_SITELIBDIR%%/numpy/core/defchararray.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/fromnumeric.py
 %%PYTHON_SITELIBDIR%%/numpy/core/fromnumeric.pyc
 %%PYTHON_SITELIBDIR%%/numpy/core/fromnumeric.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/function_base.py
 %%PYTHON_SITELIBDIR%%/numpy/core/function_base.pyc
 %%PYTHON_SITELIBDIR%%/numpy/core/function_base.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/generate_numpy_api.py
 %%PYTHON_SITELIBDIR%%/numpy/core/generate_numpy_api.pyc
 %%PYTHON_SITELIBDIR%%/numpy/core/generate_numpy_api.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/getlimits.py
 %%PYTHON_SITELIBDIR%%/numpy/core/getlimits.pyc
 %%PYTHON_SITELIBDIR%%/numpy/core/getlimits.pyo
-%%PYTHON_SITELIBDIR%%/numpy/core/info.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/info.pyo
-%%PYTHON_SITELIBDIR%%/numpy/core/machar.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/machar.pyo
-%%PYTHON_SITELIBDIR%%/numpy/core/memmap.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/memmap.pyo
-%%PYTHON_SITELIBDIR%%/numpy/core/numeric.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/numeric.pyo
-%%PYTHON_SITELIBDIR%%/numpy/core/numerictypes.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/numerictypes.pyo
-%%PYTHON_SITELIBDIR%%/numpy/core/records.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/records.pyo
-%%PYTHON_SITELIBDIR%%/numpy/core/scons_support.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/scons_support.pyo
-%%PYTHON_SITELIBDIR%%/numpy/core/setup.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/setup.pyo
-%%PYTHON_SITELIBDIR%%/numpy/core/setup_common.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/setup_common.pyo
-%%PYTHON_SITELIBDIR%%/numpy/core/setupscons.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/setupscons.pyo
-%%PYTHON_SITELIBDIR%%/numpy/core/shape_base.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/shape_base.pyo
-%%PYTHON_SITELIBDIR%%/numpy/core/_dotblas.so
-%%PYTHON_SITELIBDIR%%/numpy/core/_dummy.so
-%%PYTHON_SITELIBDIR%%/numpy/core/_internal.py
-%%PYTHON_SITELIBDIR%%/numpy/core/_methods.py
-%%PYTHON_SITELIBDIR%%/numpy/core/arrayprint.py
-%%PYTHON_SITELIBDIR%%/numpy/core/defchararray.py
-%%PYTHON_SITELIBDIR%%/numpy/core/fromnumeric.py
-%%PYTHON_SITELIBDIR%%/numpy/core/function_base.py
-%%PYTHON_SITELIBDIR%%/numpy/core/generate_numpy_api.py
-%%PYTHON_SITELIBDIR%%/numpy/core/getlimits.py
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/__multiarray_api.h
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/__ufunc_api.h
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/_neighborhood_iterator_imp.h
@@ -100,10 +63,10 @@ bin/f2py
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/ndarrayobject.h
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/ndarraytypes.h
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/noprefix.h
+%%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/npy_1_7_deprecated_api.h
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/npy_3kcompat.h
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/npy_common.h
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/npy_cpu.h
-%%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/npy_deprecated_api.h
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/npy_endian.h
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/npy_interrupt.h
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/npy_math.h
@@ -116,22 +79,41 @@ bin/f2py
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/ufuncobject.h
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/utils.h
 %%PYTHON_SITELIBDIR%%/numpy/core/info.py
+%%PYTHON_SITELIBDIR%%/numpy/core/info.pyc
+%%PYTHON_SITELIBDIR%%/numpy/core/info.pyo
 %%PYTHON_SITELIBDIR%%/numpy/core/lib/libnpymath.a
 %%PYTHON_SITELIBDIR%%/numpy/core/lib/npy-pkg-config/mlib.ini
 %%PYTHON_SITELIBDIR%%/numpy/core/lib/npy-pkg-config/npymath.ini
 %%PYTHON_SITELIBDIR%%/numpy/core/machar.py
+%%PYTHON_SITELIBDIR%%/numpy/core/machar.pyc
+%%PYTHON_SITELIBDIR%%/numpy/core/machar.pyo
 %%PYTHON_SITELIBDIR%%/numpy/core/memmap.py
+%%PYTHON_SITELIBDIR%%/numpy/core/memmap.pyc
+%%PYTHON_SITELIBDIR%%/numpy/core/memmap.pyo
 %%PYTHON_SITELIBDIR%%/numpy/core/multiarray.so
 %%PYTHON_SITELIBDIR%%/numpy/core/multiarray_tests.so
 %%PYTHON_SITELIBDIR%%/numpy/core/numeric.py
+%%PYTHON_SITELIBDIR%%/numpy/core/numeric.pyc
+%%PYTHON_SITELIBDIR%%/numpy/core/numeric.pyo
 %%PYTHON_SITELIBDIR%%/numpy/core/numerictypes.py
+%%PYTHON_SITELIBDIR%%/numpy/core/numerictypes.pyc
+%%PYTHON_SITELIBDIR%%/numpy/core/numerictypes.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/operand_flag_tests.so
 %%PYTHON_SITELIBDIR%%/numpy/core/records.py
+%%PYTHON_SITELIBDIR%%/numpy/core/records.pyc
+%%PYTHON_SITELIBDIR%%/numpy/core/records.pyo
 %%PYTHON_SITELIBDIR%%/numpy/core/scalarmath.so
-%%PYTHON_SITELIBDIR%%/numpy/core/scons_support.py
 %%PYTHON_SITELIBDIR%%/numpy/core/setup.py
+%%PYTHON_SITELIBDIR%%/numpy/core/setup.pyc
+%%PYTHON_SITELIBDIR%%/numpy/core/setup.pyo
 %%PYTHON_SITELIBDIR%%/numpy/core/setup_common.py
-%%PYTHON_SITELIBDIR%%/numpy/core/setupscons.py
+%%PYTHON_SITELIBDIR%%/numpy/core/setup_common.pyc
+%%PYTHON_SITELIBDIR%%/numpy/core/setup_common.pyo
 %%PYTHON_SITELIBDIR%%/numpy/core/shape_base.py
+%%PYTHON_SITELIBDIR%%/numpy/core/shape_base.pyc
+%%PYTHON_SITELIBDIR%%/numpy/core/shape_base.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/struct_ufunc_test.so
+%%PYTHON_SITELIBDIR%%/numpy/core/test_rational.so
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/data/astype_copy.pkl
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/data/recarray_from_file.fits
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/test_api.py
@@ -139,6 +121,7 @@ bin/f2py
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/test_blasdot.py
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/test_datetime.py
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/test_defchararray.py
+%%PYTHON_SITELIBDIR%%/numpy/core/tests/test_deprecations.py
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/test_dtype.py
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/test_einsum.py
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/test_errstate.py
@@ -147,6 +130,7 @@ bin/f2py
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/test_half.py
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/test_indexerrors.py
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/test_indexing.py
+%%PYTHON_SITELIBDIR%%/numpy/core/tests/test_item_selection.py
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/test_machar.py
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/test_memmap.py
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/test_multiarray.py
@@ -158,6 +142,7 @@ bin/f2py
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/test_records.py
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/test_regression.py
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/test_scalarmath.py
+%%PYTHON_SITELIBDIR%%/numpy/core/tests/test_scalarprint.py
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/test_shape_base.py
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/test_ufunc.py
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/test_umath.py
@@ -166,193 +151,184 @@ bin/f2py
 %%PYTHON_SITELIBDIR%%/numpy/core/umath.so
 %%PYTHON_SITELIBDIR%%/numpy/core/umath_tests.so
 %%PYTHON_SITELIBDIR%%/numpy/ctypeslib.py
+%%PYTHON_SITELIBDIR%%/numpy/ctypeslib.pyc
+%%PYTHON_SITELIBDIR%%/numpy/ctypeslib.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/__config__.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/__init__.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/__config__.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/__config__.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__init__.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/__init__.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/__init__.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__version__.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/__version__.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/__version__.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/ccompiler.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/ccompiler.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/ccompiler.pyo
-%%PYTHON_SITELIBDIR%%/numpy/distutils/compat.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/compat.pyo
-%%PYTHON_SITELIBDIR%%/numpy/distutils/conv_template.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/conv_template.pyo
-%%PYTHON_SITELIBDIR%%/numpy/distutils/core.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/core.pyo
-%%PYTHON_SITELIBDIR%%/numpy/distutils/cpuinfo.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/cpuinfo.pyo
-%%PYTHON_SITELIBDIR%%/numpy/distutils/environment.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/environment.pyo
-%%PYTHON_SITELIBDIR%%/numpy/distutils/exec_command.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/exec_command.pyo
-%%PYTHON_SITELIBDIR%%/numpy/distutils/extension.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/extension.pyo
-%%PYTHON_SITELIBDIR%%/numpy/distutils/from_template.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/from_template.pyo
-%%PYTHON_SITELIBDIR%%/numpy/distutils/info.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/info.pyo
-%%PYTHON_SITELIBDIR%%/numpy/distutils/intelccompiler.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/intelccompiler.pyo
-%%PYTHON_SITELIBDIR%%/numpy/distutils/interactive.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/interactive.pyo
-%%PYTHON_SITELIBDIR%%/numpy/distutils/lib2def.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/lib2def.pyo
-%%PYTHON_SITELIBDIR%%/numpy/distutils/line_endings.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/line_endings.pyo
-%%PYTHON_SITELIBDIR%%/numpy/distutils/log.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/log.pyo
-%%PYTHON_SITELIBDIR%%/numpy/distutils/mingw32ccompiler.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/mingw32ccompiler.pyo
-%%PYTHON_SITELIBDIR%%/numpy/distutils/misc_util.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/misc_util.pyo
-%%PYTHON_SITELIBDIR%%/numpy/distutils/npy_pkg_config.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/npy_pkg_config.pyo
-%%PYTHON_SITELIBDIR%%/numpy/distutils/numpy_distribution.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/numpy_distribution.pyo
-%%PYTHON_SITELIBDIR%%/numpy/distutils/pathccompiler.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/pathccompiler.pyo
-%%PYTHON_SITELIBDIR%%/numpy/distutils/setup.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/setup.pyo
-%%PYTHON_SITELIBDIR%%/numpy/distutils/setupscons.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/setupscons.pyo
-%%PYTHON_SITELIBDIR%%/numpy/distutils/system_info.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/system_info.pyo
-%%PYTHON_SITELIBDIR%%/numpy/distutils/unixccompiler.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/unixccompiler.pyo
-%%PYTHON_SITELIBDIR%%/numpy/distutils/__version__.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/ccompiler.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/__init__.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/__init__.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/__init__.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/autodist.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/autodist.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/autodist.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/bdist_rpm.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/bdist_rpm.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/bdist_rpm.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/build.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/build.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/build.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_clib.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_clib.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_clib.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_ext.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_ext.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_ext.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_py.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_py.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_py.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_scripts.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_scripts.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_scripts.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_src.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_src.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_src.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/config.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/config.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/config.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/config_compiler.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/config_compiler.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/config_compiler.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/develop.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/develop.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/develop.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/egg_info.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/egg_info.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/egg_info.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/install.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/install.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/install.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/install_clib.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/install_clib.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/install_clib.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/install_data.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/install_data.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/install_data.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/install_headers.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/install_headers.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/install_headers.pyo
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/scons.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/scons.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/sdist.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/sdist.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/sdist.pyo
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/autodist.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/bdist_rpm.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/build.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_clib.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_ext.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_py.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_scripts.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_src.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/config.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/config_compiler.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/develop.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/egg_info.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/install.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/install_clib.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/install_data.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/install_headers.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/scons.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/sdist.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/compat.py
+%%PYTHON_SITELIBDIR%%/numpy/distutils/compat.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/compat.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/conv_template.py
+%%PYTHON_SITELIBDIR%%/numpy/distutils/conv_template.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/conv_template.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/core.py
+%%PYTHON_SITELIBDIR%%/numpy/distutils/core.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/core.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/cpuinfo.py
+%%PYTHON_SITELIBDIR%%/numpy/distutils/cpuinfo.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/cpuinfo.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/environment.py
+%%PYTHON_SITELIBDIR%%/numpy/distutils/environment.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/environment.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/exec_command.py
+%%PYTHON_SITELIBDIR%%/numpy/distutils/exec_command.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/exec_command.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/extension.py
+%%PYTHON_SITELIBDIR%%/numpy/distutils/extension.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/extension.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__init__.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__init__.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__init__.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/absoft.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/absoft.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/absoft.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/compaq.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/compaq.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/compaq.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/g95.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/g95.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/g95.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/gnu.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/gnu.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/gnu.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/hpux.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/hpux.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/hpux.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/ibm.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/ibm.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/ibm.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/intel.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/intel.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/intel.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/lahey.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/lahey.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/lahey.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/mips.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/mips.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/mips.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/nag.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/nag.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/nag.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/none.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/none.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/none.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/pathf95.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/pathf95.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/pathf95.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/pg.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/pg.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/pg.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/sun.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/sun.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/sun.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/vast.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/vast.pyc
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/vast.pyo
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/absoft.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/compaq.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/g95.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/gnu.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/hpux.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/ibm.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/intel.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/lahey.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/mips.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/nag.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/none.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/pathf95.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/pg.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/sun.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/vast.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/from_template.py
+%%PYTHON_SITELIBDIR%%/numpy/distutils/from_template.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/from_template.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/info.py
+%%PYTHON_SITELIBDIR%%/numpy/distutils/info.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/info.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/intelccompiler.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/interactive.py
+%%PYTHON_SITELIBDIR%%/numpy/distutils/intelccompiler.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/intelccompiler.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/lib2def.py
+%%PYTHON_SITELIBDIR%%/numpy/distutils/lib2def.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/lib2def.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/line_endings.py
+%%PYTHON_SITELIBDIR%%/numpy/distutils/line_endings.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/line_endings.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/log.py
+%%PYTHON_SITELIBDIR%%/numpy/distutils/log.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/log.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/mingw/gfortran_vs2003_hack.c
 %%PYTHON_SITELIBDIR%%/numpy/distutils/mingw32ccompiler.py
+%%PYTHON_SITELIBDIR%%/numpy/distutils/mingw32ccompiler.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/mingw32ccompiler.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/misc_util.py
+%%PYTHON_SITELIBDIR%%/numpy/distutils/misc_util.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/misc_util.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/npy_pkg_config.py
+%%PYTHON_SITELIBDIR%%/numpy/distutils/npy_pkg_config.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/npy_pkg_config.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/numpy_distribution.py
+%%PYTHON_SITELIBDIR%%/numpy/distutils/numpy_distribution.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/numpy_distribution.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/pathccompiler.py
+%%PYTHON_SITELIBDIR%%/numpy/distutils/pathccompiler.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/pathccompiler.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/setup.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/setupscons.py
+%%PYTHON_SITELIBDIR%%/numpy/distutils/setup.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/setup.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/site.cfg
 %%PYTHON_SITELIBDIR%%/numpy/distutils/system_info.py
+%%PYTHON_SITELIBDIR%%/numpy/distutils/system_info.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/system_info.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/tests/f2py_ext/__init__.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/tests/f2py_ext/setup.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/tests/f2py_ext/src/fib1.f
@@ -380,111 +356,98 @@ bin/f2py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/tests/swig_ext/src/zoo.i
 %%PYTHON_SITELIBDIR%%/numpy/distutils/tests/swig_ext/tests/test_example.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/tests/swig_ext/tests/test_example2.py
+%%PYTHON_SITELIBDIR%%/numpy/distutils/tests/test_exec_command.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/tests/test_fcompiler_gnu.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/tests/test_fcompiler_intel.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/tests/test_misc_util.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/tests/test_npy_pkg_config.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/unixccompiler.py
+%%PYTHON_SITELIBDIR%%/numpy/distutils/unixccompiler.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/unixccompiler.pyo
 %%PYTHON_SITELIBDIR%%/numpy/doc/__init__.py
 %%PYTHON_SITELIBDIR%%/numpy/doc/__init__.pyc
 %%PYTHON_SITELIBDIR%%/numpy/doc/__init__.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/basics.py
 %%PYTHON_SITELIBDIR%%/numpy/doc/basics.pyc
 %%PYTHON_SITELIBDIR%%/numpy/doc/basics.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/broadcasting.py
 %%PYTHON_SITELIBDIR%%/numpy/doc/broadcasting.pyc
 %%PYTHON_SITELIBDIR%%/numpy/doc/broadcasting.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/byteswapping.py
 %%PYTHON_SITELIBDIR%%/numpy/doc/byteswapping.pyc
 %%PYTHON_SITELIBDIR%%/numpy/doc/byteswapping.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/constants.py
 %%PYTHON_SITELIBDIR%%/numpy/doc/constants.pyc
 %%PYTHON_SITELIBDIR%%/numpy/doc/constants.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/creation.py
 %%PYTHON_SITELIBDIR%%/numpy/doc/creation.pyc
 %%PYTHON_SITELIBDIR%%/numpy/doc/creation.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/glossary.py
 %%PYTHON_SITELIBDIR%%/numpy/doc/glossary.pyc
 %%PYTHON_SITELIBDIR%%/numpy/doc/glossary.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/howtofind.py
 %%PYTHON_SITELIBDIR%%/numpy/doc/howtofind.pyc
 %%PYTHON_SITELIBDIR%%/numpy/doc/howtofind.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/indexing.py
 %%PYTHON_SITELIBDIR%%/numpy/doc/indexing.pyc
 %%PYTHON_SITELIBDIR%%/numpy/doc/indexing.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/internals.py
 %%PYTHON_SITELIBDIR%%/numpy/doc/internals.pyc
 %%PYTHON_SITELIBDIR%%/numpy/doc/internals.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/io.py
 %%PYTHON_SITELIBDIR%%/numpy/doc/io.pyc
 %%PYTHON_SITELIBDIR%%/numpy/doc/io.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/jargon.py
 %%PYTHON_SITELIBDIR%%/numpy/doc/jargon.pyc
 %%PYTHON_SITELIBDIR%%/numpy/doc/jargon.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/methods_vs_functions.py
 %%PYTHON_SITELIBDIR%%/numpy/doc/methods_vs_functions.pyc
 %%PYTHON_SITELIBDIR%%/numpy/doc/methods_vs_functions.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/misc.py
 %%PYTHON_SITELIBDIR%%/numpy/doc/misc.pyc
 %%PYTHON_SITELIBDIR%%/numpy/doc/misc.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/performance.py
 %%PYTHON_SITELIBDIR%%/numpy/doc/performance.pyc
 %%PYTHON_SITELIBDIR%%/numpy/doc/performance.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/structured_arrays.py
 %%PYTHON_SITELIBDIR%%/numpy/doc/structured_arrays.pyc
 %%PYTHON_SITELIBDIR%%/numpy/doc/structured_arrays.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/subclassing.py
 %%PYTHON_SITELIBDIR%%/numpy/doc/subclassing.pyc
 %%PYTHON_SITELIBDIR%%/numpy/doc/subclassing.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/ufuncs.py
 %%PYTHON_SITELIBDIR%%/numpy/doc/ufuncs.pyc
 %%PYTHON_SITELIBDIR%%/numpy/doc/ufuncs.pyo
-%%PYTHON_SITELIBDIR%%/numpy/doc/basics.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/broadcasting.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/byteswapping.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/constants.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/creation.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/glossary.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/howtofind.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/indexing.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/internals.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/io.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/jargon.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/methods_vs_functions.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/misc.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/performance.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/structured_arrays.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/subclassing.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/ufuncs.py
 %%PYTHON_SITELIBDIR%%/numpy/dual.py
+%%PYTHON_SITELIBDIR%%/numpy/dual.pyc
+%%PYTHON_SITELIBDIR%%/numpy/dual.pyo
 %%PYTHON_SITELIBDIR%%/numpy/f2py/__init__.py
 %%PYTHON_SITELIBDIR%%/numpy/f2py/__init__.pyc
 %%PYTHON_SITELIBDIR%%/numpy/f2py/__init__.pyo
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__version__.py
 %%PYTHON_SITELIBDIR%%/numpy/f2py/__version__.pyc
 %%PYTHON_SITELIBDIR%%/numpy/f2py/__version__.pyo
+%%PYTHON_SITELIBDIR%%/numpy/f2py/auxfuncs.py
 %%PYTHON_SITELIBDIR%%/numpy/f2py/auxfuncs.pyc
 %%PYTHON_SITELIBDIR%%/numpy/f2py/auxfuncs.pyo
+%%PYTHON_SITELIBDIR%%/numpy/f2py/capi_maps.py
 %%PYTHON_SITELIBDIR%%/numpy/f2py/capi_maps.pyc
 %%PYTHON_SITELIBDIR%%/numpy/f2py/capi_maps.pyo
+%%PYTHON_SITELIBDIR%%/numpy/f2py/cb_rules.py
 %%PYTHON_SITELIBDIR%%/numpy/f2py/cb_rules.pyc
 %%PYTHON_SITELIBDIR%%/numpy/f2py/cb_rules.pyo
+%%PYTHON_SITELIBDIR%%/numpy/f2py/cfuncs.py
 %%PYTHON_SITELIBDIR%%/numpy/f2py/cfuncs.pyc
 %%PYTHON_SITELIBDIR%%/numpy/f2py/cfuncs.pyo
+%%PYTHON_SITELIBDIR%%/numpy/f2py/common_rules.py
 %%PYTHON_SITELIBDIR%%/numpy/f2py/common_rules.pyc
 %%PYTHON_SITELIBDIR%%/numpy/f2py/common_rules.pyo
+%%PYTHON_SITELIBDIR%%/numpy/f2py/crackfortran.py
 %%PYTHON_SITELIBDIR%%/numpy/f2py/crackfortran.pyc
 %%PYTHON_SITELIBDIR%%/numpy/f2py/crackfortran.pyo
+%%PYTHON_SITELIBDIR%%/numpy/f2py/diagnose.py
 %%PYTHON_SITELIBDIR%%/numpy/f2py/diagnose.pyc
 %%PYTHON_SITELIBDIR%%/numpy/f2py/diagnose.pyo
-%%PYTHON_SITELIBDIR%%/numpy/f2py/f2py2e.pyc
-%%PYTHON_SITELIBDIR%%/numpy/f2py/f2py2e.pyo
-%%PYTHON_SITELIBDIR%%/numpy/f2py/f2py_testing.pyc
-%%PYTHON_SITELIBDIR%%/numpy/f2py/f2py_testing.pyo
-%%PYTHON_SITELIBDIR%%/numpy/f2py/f90mod_rules.pyc
-%%PYTHON_SITELIBDIR%%/numpy/f2py/f90mod_rules.pyo
-%%PYTHON_SITELIBDIR%%/numpy/f2py/func2subr.pyc
-%%PYTHON_SITELIBDIR%%/numpy/f2py/func2subr.pyo
-%%PYTHON_SITELIBDIR%%/numpy/f2py/info.pyc
-%%PYTHON_SITELIBDIR%%/numpy/f2py/info.pyo
-%%PYTHON_SITELIBDIR%%/numpy/f2py/rules.pyc
-%%PYTHON_SITELIBDIR%%/numpy/f2py/rules.pyo
-%%PYTHON_SITELIBDIR%%/numpy/f2py/setup.pyc
-%%PYTHON_SITELIBDIR%%/numpy/f2py/setup.pyo
-%%PYTHON_SITELIBDIR%%/numpy/f2py/setupscons.pyc
-%%PYTHON_SITELIBDIR%%/numpy/f2py/setupscons.pyo
-%%PYTHON_SITELIBDIR%%/numpy/f2py/use_rules.pyc
-%%PYTHON_SITELIBDIR%%/numpy/f2py/use_rules.pyo
-%%PYTHON_SITELIBDIR%%/numpy/f2py/__version__.py
-%%PYTHON_SITELIBDIR%%/numpy/f2py/auxfuncs.py
-%%PYTHON_SITELIBDIR%%/numpy/f2py/capi_maps.py
-%%PYTHON_SITELIBDIR%%/numpy/f2py/cb_rules.py
-%%PYTHON_SITELIBDIR%%/numpy/f2py/cfuncs.py
-%%PYTHON_SITELIBDIR%%/numpy/f2py/common_rules.py
-%%PYTHON_SITELIBDIR%%/numpy/f2py/crackfortran.py
-%%PYTHON_SITELIBDIR%%/numpy/f2py/diagnose.py
 %%PYTHON_SITELIBDIR%%/numpy/f2py/docs/FAQ.txt
 %%PYTHON_SITELIBDIR%%/numpy/f2py/docs/HISTORY.txt
 %%PYTHON_SITELIBDIR%%/numpy/f2py/docs/OLDNEWS.txt
@@ -534,13 +497,26 @@ bin/f2py
 %%PYTHON_SITELIBDIR%%/numpy/f2py/docs/usersguide/var.pyf
 %%PYTHON_SITELIBDIR%%/numpy/f2py/docs/usersguide/var_session.dat
 %%PYTHON_SITELIBDIR%%/numpy/f2py/f2py2e.py
+%%PYTHON_SITELIBDIR%%/numpy/f2py/f2py2e.pyc
+%%PYTHON_SITELIBDIR%%/numpy/f2py/f2py2e.pyo
 %%PYTHON_SITELIBDIR%%/numpy/f2py/f2py_testing.py
+%%PYTHON_SITELIBDIR%%/numpy/f2py/f2py_testing.pyc
+%%PYTHON_SITELIBDIR%%/numpy/f2py/f2py_testing.pyo
 %%PYTHON_SITELIBDIR%%/numpy/f2py/f90mod_rules.py
+%%PYTHON_SITELIBDIR%%/numpy/f2py/f90mod_rules.pyc
+%%PYTHON_SITELIBDIR%%/numpy/f2py/f90mod_rules.pyo
 %%PYTHON_SITELIBDIR%%/numpy/f2py/func2subr.py
+%%PYTHON_SITELIBDIR%%/numpy/f2py/func2subr.pyc
+%%PYTHON_SITELIBDIR%%/numpy/f2py/func2subr.pyo
 %%PYTHON_SITELIBDIR%%/numpy/f2py/info.py
+%%PYTHON_SITELIBDIR%%/numpy/f2py/info.pyc
+%%PYTHON_SITELIBDIR%%/numpy/f2py/info.pyo
 %%PYTHON_SITELIBDIR%%/numpy/f2py/rules.py
+%%PYTHON_SITELIBDIR%%/numpy/f2py/rules.pyc
+%%PYTHON_SITELIBDIR%%/numpy/f2py/rules.pyo
 %%PYTHON_SITELIBDIR%%/numpy/f2py/setup.py
-%%PYTHON_SITELIBDIR%%/numpy/f2py/setupscons.py
+%%PYTHON_SITELIBDIR%%/numpy/f2py/setup.pyc
+%%PYTHON_SITELIBDIR%%/numpy/f2py/setup.pyo
 %%PYTHON_SITELIBDIR%%/numpy/f2py/src/fortranobject.c
 %%PYTHON_SITELIBDIR%%/numpy/f2py/src/fortranobject.h
 %%PYTHON_SITELIBDIR%%/numpy/f2py/tests/src/array_from_pyobj/wrapmodule.c
@@ -567,100 +543,84 @@ bin/f2py
 %%PYTHON_SITELIBDIR%%/numpy/f2py/tests/test_size.py
 %%PYTHON_SITELIBDIR%%/numpy/f2py/tests/util.py
 %%PYTHON_SITELIBDIR%%/numpy/f2py/use_rules.py
+%%PYTHON_SITELIBDIR%%/numpy/f2py/use_rules.pyc
+%%PYTHON_SITELIBDIR%%/numpy/f2py/use_rules.pyo
 %%PYTHON_SITELIBDIR%%/numpy/fft/__init__.py
 %%PYTHON_SITELIBDIR%%/numpy/fft/__init__.pyc
 %%PYTHON_SITELIBDIR%%/numpy/fft/__init__.pyo
+%%PYTHON_SITELIBDIR%%/numpy/fft/fftpack.py
 %%PYTHON_SITELIBDIR%%/numpy/fft/fftpack.pyc
 %%PYTHON_SITELIBDIR%%/numpy/fft/fftpack.pyo
+%%PYTHON_SITELIBDIR%%/numpy/fft/fftpack_lite.so
+%%PYTHON_SITELIBDIR%%/numpy/fft/helper.py
 %%PYTHON_SITELIBDIR%%/numpy/fft/helper.pyc
 %%PYTHON_SITELIBDIR%%/numpy/fft/helper.pyo
+%%PYTHON_SITELIBDIR%%/numpy/fft/info.py
 %%PYTHON_SITELIBDIR%%/numpy/fft/info.pyc
 %%PYTHON_SITELIBDIR%%/numpy/fft/info.pyo
+%%PYTHON_SITELIBDIR%%/numpy/fft/setup.py
 %%PYTHON_SITELIBDIR%%/numpy/fft/setup.pyc
 %%PYTHON_SITELIBDIR%%/numpy/fft/setup.pyo
-%%PYTHON_SITELIBDIR%%/numpy/fft/setupscons.pyc
-%%PYTHON_SITELIBDIR%%/numpy/fft/setupscons.pyo
-%%PYTHON_SITELIBDIR%%/numpy/fft/fftpack.py
-%%PYTHON_SITELIBDIR%%/numpy/fft/fftpack_lite.so
-%%PYTHON_SITELIBDIR%%/numpy/fft/helper.py
-%%PYTHON_SITELIBDIR%%/numpy/fft/info.py
-%%PYTHON_SITELIBDIR%%/numpy/fft/setup.py
-%%PYTHON_SITELIBDIR%%/numpy/fft/setupscons.py
 %%PYTHON_SITELIBDIR%%/numpy/fft/tests/test_fftpack.py
 %%PYTHON_SITELIBDIR%%/numpy/fft/tests/test_helper.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/__init__.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/__init__.pyc
 %%PYTHON_SITELIBDIR%%/numpy/lib/__init__.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/_compiled_base.so
+%%PYTHON_SITELIBDIR%%/numpy/lib/_datasource.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/_datasource.pyc
 %%PYTHON_SITELIBDIR%%/numpy/lib/_datasource.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/_iotools.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/_iotools.pyc
 %%PYTHON_SITELIBDIR%%/numpy/lib/_iotools.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/arraypad.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/arraypad.pyc
 %%PYTHON_SITELIBDIR%%/numpy/lib/arraypad.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/arraysetops.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/arraysetops.pyc
 %%PYTHON_SITELIBDIR%%/numpy/lib/arraysetops.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/arrayterator.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/arrayterator.pyc
 %%PYTHON_SITELIBDIR%%/numpy/lib/arrayterator.pyo
-%%PYTHON_SITELIBDIR%%/numpy/lib/benchmarks/benchmark.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/benchmarks/casting.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/benchmarks/creating.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/benchmarks/simpleindex.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/benchmarks/sorting.py
+%%PYTHON_SITELIBDIR%%/numpy/lib/financial.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/financial.pyc
 %%PYTHON_SITELIBDIR%%/numpy/lib/financial.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/format.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/format.pyc
 %%PYTHON_SITELIBDIR%%/numpy/lib/format.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/function_base.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/function_base.pyc
 %%PYTHON_SITELIBDIR%%/numpy/lib/function_base.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/index_tricks.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/index_tricks.pyc
 %%PYTHON_SITELIBDIR%%/numpy/lib/index_tricks.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/info.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/info.pyc
 %%PYTHON_SITELIBDIR%%/numpy/lib/info.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/nanfunctions.py
+%%PYTHON_SITELIBDIR%%/numpy/lib/nanfunctions.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/nanfunctions.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/npyio.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/npyio.pyc
 %%PYTHON_SITELIBDIR%%/numpy/lib/npyio.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/polynomial.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/polynomial.pyc
 %%PYTHON_SITELIBDIR%%/numpy/lib/polynomial.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/recfunctions.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/recfunctions.pyc
 %%PYTHON_SITELIBDIR%%/numpy/lib/recfunctions.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/scimath.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/scimath.pyc
 %%PYTHON_SITELIBDIR%%/numpy/lib/scimath.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/setup.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/setup.pyc
 %%PYTHON_SITELIBDIR%%/numpy/lib/setup.pyo
-%%PYTHON_SITELIBDIR%%/numpy/lib/setupscons.pyc
-%%PYTHON_SITELIBDIR%%/numpy/lib/setupscons.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/shape_base.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/shape_base.pyc
 %%PYTHON_SITELIBDIR%%/numpy/lib/shape_base.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/stride_tricks.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/stride_tricks.pyc
 %%PYTHON_SITELIBDIR%%/numpy/lib/stride_tricks.pyo
-%%PYTHON_SITELIBDIR%%/numpy/lib/twodim_base.pyc
-%%PYTHON_SITELIBDIR%%/numpy/lib/twodim_base.pyo
-%%PYTHON_SITELIBDIR%%/numpy/lib/type_check.pyc
-%%PYTHON_SITELIBDIR%%/numpy/lib/type_check.pyo
-%%PYTHON_SITELIBDIR%%/numpy/lib/ufunclike.pyc
-%%PYTHON_SITELIBDIR%%/numpy/lib/ufunclike.pyo
-%%PYTHON_SITELIBDIR%%/numpy/lib/user_array.pyc
-%%PYTHON_SITELIBDIR%%/numpy/lib/user_array.pyo
-%%PYTHON_SITELIBDIR%%/numpy/lib/utils.pyc
-%%PYTHON_SITELIBDIR%%/numpy/lib/utils.pyo
-%%PYTHON_SITELIBDIR%%/numpy/lib/_compiled_base.so
-%%PYTHON_SITELIBDIR%%/numpy/lib/_datasource.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/_iotools.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/arraypad.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/arraysetops.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/arrayterator.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/financial.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/format.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/function_base.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/index_tricks.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/info.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/npyio.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/polynomial.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/recfunctions.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/scimath.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/setup.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/setupscons.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/shape_base.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/stride_tricks.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/tests/test__datasource.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/tests/test__iotools.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/tests/test_arraypad.py
@@ -671,6 +631,7 @@ bin/f2py
 %%PYTHON_SITELIBDIR%%/numpy/lib/tests/test_function_base.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/tests/test_index_tricks.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/tests/test_io.py
+%%PYTHON_SITELIBDIR%%/numpy/lib/tests/test_nanfunctions.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/tests/test_polynomial.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/tests/test_recfunctions.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/tests/test_regression.py
@@ -681,56 +642,56 @@ bin/f2py
 %%PYTHON_SITELIBDIR%%/numpy/lib/tests/test_ufunclike.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/tests/test_utils.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/twodim_base.py
+%%PYTHON_SITELIBDIR%%/numpy/lib/twodim_base.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/twodim_base.pyo
 %%PYTHON_SITELIBDIR%%/numpy/lib/type_check.py
+%%PYTHON_SITELIBDIR%%/numpy/lib/type_check.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/type_check.pyo
 %%PYTHON_SITELIBDIR%%/numpy/lib/ufunclike.py
+%%PYTHON_SITELIBDIR%%/numpy/lib/ufunclike.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/ufunclike.pyo
 %%PYTHON_SITELIBDIR%%/numpy/lib/user_array.py
+%%PYTHON_SITELIBDIR%%/numpy/lib/user_array.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/user_array.pyo
 %%PYTHON_SITELIBDIR%%/numpy/lib/utils.py
+%%PYTHON_SITELIBDIR%%/numpy/lib/utils.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/utils.pyo
 %%PYTHON_SITELIBDIR%%/numpy/linalg/__init__.py
 %%PYTHON_SITELIBDIR%%/numpy/linalg/__init__.pyc
 %%PYTHON_SITELIBDIR%%/numpy/linalg/__init__.pyo
+%%PYTHON_SITELIBDIR%%/numpy/linalg/_umath_linalg.so
+%%PYTHON_SITELIBDIR%%/numpy/linalg/info.py
 %%PYTHON_SITELIBDIR%%/numpy/linalg/info.pyc
 %%PYTHON_SITELIBDIR%%/numpy/linalg/info.pyo
+%%PYTHON_SITELIBDIR%%/numpy/linalg/lapack_lite.so
+%%PYTHON_SITELIBDIR%%/numpy/linalg/linalg.py
 %%PYTHON_SITELIBDIR%%/numpy/linalg/linalg.pyc
 %%PYTHON_SITELIBDIR%%/numpy/linalg/linalg.pyo
+%%PYTHON_SITELIBDIR%%/numpy/linalg/setup.py
 %%PYTHON_SITELIBDIR%%/numpy/linalg/setup.pyc
 %%PYTHON_SITELIBDIR%%/numpy/linalg/setup.pyo
-%%PYTHON_SITELIBDIR%%/numpy/linalg/setupscons.pyc
-%%PYTHON_SITELIBDIR%%/numpy/linalg/setupscons.pyo
-%%PYTHON_SITELIBDIR%%/numpy/linalg/info.py
-%%PYTHON_SITELIBDIR%%/numpy/linalg/lapack_lite.so
-%%PYTHON_SITELIBDIR%%/numpy/linalg/linalg.py
-%%PYTHON_SITELIBDIR%%/numpy/linalg/setup.py
-%%PYTHON_SITELIBDIR%%/numpy/linalg/setupscons.py
 %%PYTHON_SITELIBDIR%%/numpy/linalg/tests/test_build.py
+%%PYTHON_SITELIBDIR%%/numpy/linalg/tests/test_deprecations.py
 %%PYTHON_SITELIBDIR%%/numpy/linalg/tests/test_linalg.py
 %%PYTHON_SITELIBDIR%%/numpy/linalg/tests/test_regression.py
 %%PYTHON_SITELIBDIR%%/numpy/ma/__init__.py
 %%PYTHON_SITELIBDIR%%/numpy/ma/__init__.pyc
 %%PYTHON_SITELIBDIR%%/numpy/ma/__init__.pyo
+%%PYTHON_SITELIBDIR%%/numpy/ma/bench.py

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2014-02-13 05:28:34 UTC
State Changed
From-To: open->closed

Committed, thank you!